#pragma once
// DO NOT MODIFY THIS HEAD FILE.
typedef enum
{
    EFAIL = -200,
    EMEM,
    EDEVBUSY,
    ENETWORK,
    ERESET,
    ESETANGLE,
    EGETANGLE,
    SUCCESS = 0,
} MotorReturn;

MotorReturn InitMotor(void);
MotorReturn ReleaseMotor(void);
MotorReturn Connect(void);
MotorReturn Disconnect(void);
MotorReturn SetAngle(int angle);
MotorReturn GetAngle(int *angle);
MotorReturn ResetAngle(void);

MotorReturn SetAngleAsync(int angle);

typedef void (*Callback)(void *);
void OnMotorEvent(Callback cb, void *cb_args, int *angle);
void OffMotorEvent();
